#include <myapp/persistence/databasefactory.h>
#include "sqlite3database.h"
#include "redisdatabase.h"

namespace myapp::persistence {

std::shared_ptr<database>
database_factory::create_sqlite3(std::string connection_string)
{
    return std::make_shared<sqlite3_database>(std::move(connection_string));
}

std::shared_ptr<database>
database_factory::create_redis(std::string connection_string, std::shared_ptr<logging::logger> logger)
{
    return std::make_shared<redis_database>(std::move(connection_string), std::move(logger));
}


} /* namespace myapp::persistence */
